## cirkuit 0.4.3

=== CMakeLists.txt ===
PROJECT(cirkuit)
 
cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake_modules)

SET(CIRKUIT_VERSION "0.4.3")

# configure a header file to pass some of the CMake settings
# to the source code
configure_file (
  "${PROJECT_SOURCE_DIR}/cirkuitconfig.h.in"
  "${PROJECT_BINARY_DIR}/cirkuitconfig.h"
  )
include_directories("${PROJECT_BINARY_DIR}")

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_subdirectory(src)
add_subdirectory(icons)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== icons/CMakeLists.txt ===
find_package(KDE4 REQUIRED)

kde4_install_icons( ${ICON_INSTALL_DIR} )
install (FILES application-x-cirkuit.svgz DESTINATION ${ICON_INSTALL_DIR}/oxygen/scalable/mimetypes)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(lt)
add_subdirectory(ug)
add_subdirectory(ga)
add_subdirectory(fr)
add_subdirectory(sv)
add_subdirectory(ru)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(pl)
add_subdirectory(es)
add_subdirectory(cs)
add_subdirectory(pt)
add_subdirectory(km)
add_subdirectory(nds)
add_subdirectory(pt_BR)
add_subdirectory(uk)
add_subdirectory(nl)
add_subdirectory(de)
add_subdirectory(et)

=== src/CMakeLists.txt ===
project(cirkuit)

find_package(KDE4 REQUIRED)
find_package(Poppler REQUIRED)
include_directories(${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR}/widgets ${QT_QTNETWORK_INCLUDE_DIR} ${POPPLER_INCLUDE_DIR})

if( ${KDE_VERSION} VERSION_EQUAL "4.7" OR  ${KDE_VERSION} VERSION_GREATER "4.7" )
  MESSAGE( STATUS "Configuring Message Widget for KDE SC >= 4.7" )
  add_definitions(-DENABLE_KMESSAGEWIDGET)
else( ${KDE_VERSION} VERSION_EQUAL "4.7" OR  ${KDE_VERSION} VERSION_GREATER "4.7" )
  MESSAGE( STATUS "Disabling Message Widget for KDE SC < 4.7" )
endif( ${KDE_VERSION} VERSION_EQUAL "4.7" OR  ${KDE_VERSION} VERSION_GREATER "4.7" )
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory( mimetypes )
add_subdirectory( syntax )
add_subdirectory( lib )
include_directories( lib ${CMAKE_CURRENT_BINARY_DIR}/lib)
add_subdirectory( backends )
add_subdirectory( widgets )

set(cirkuit_SRCS 
	main.cpp
	mainwindow.cpp
	circuitmacrosmanager.cpp
	generatorthread.cpp
	renderthread.cpp
)

kde4_add_kcfg_files(cirkuit_SRCS GENERATE_MOC cirkuitsettings.kcfgc)
kde4_add_ui_files(cirkuit_SRCS cirkuit_general_settings.ui)
kde4_add_executable(cirkuit ${cirkuit_SRCS})

target_link_libraries(cirkuit ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KTEXTEDITOR_LIBS} ${KDE4_KNEWSTUFF3_LIBS} ${POPPLER_LIBRARY} cirkuitlibs cirkuitwidgets)

install(TARGETS cirkuit ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES cirkuitui.rc 
DESTINATION ${DATA_INSTALL_DIR}/cirkuit)
install(FILES cirkuit.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES cirkuit_example.knsrc cirkuit_template.knsrc DESTINATION  ${CONFIG_INSTALL_DIR} )

install( FILES cirkuit.notifyrc DESTINATION ${DATA_INSTALL_DIR}/cirkuit)
install (PROGRAMS cirkuit.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== src/backends/CMakeLists.txt ===
add_subdirectory(null)
add_subdirectory(circuitmacros)
add_subdirectory(tikz)
add_subdirectory(gnuplot)
add_subdirectory(pstricks)

=== src/lib/CMakeLists.txt ===
set(GENERIC_LIB_VERSION "1.0.0")
set(GENERIC_LIB_SOVERSION "1")

set ( cirkuit_LIB_SRCS 
    backend.cpp
    command.cpp
    document.cpp
    generator.cpp
    format.cpp
    documenttemplate.cpp
    logparser.cpp
)

set( cirkuit_LIB_HDRS
    cirkuit_export.h
)

kde4_add_library( cirkuitlibs SHARED ${cirkuit_LIB_SRCS} )

target_link_libraries( cirkuitlibs
  ${KDE4_KDECORE_LIBS} ${KDE4_KTEXTEDITOR_LIBS}
)

set_target_properties( cirkuitlibs
  PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION}
)

install( TARGETS cirkuitlibs  ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES cirkuit_backend.desktop  DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== src/mimetypes/CMakeLists.txt ===
find_package(SharedMimeInfo REQUIRED)

install(FILES cirkuit.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== src/syntax/CMakeLists.txt ===
install( FILES m4cm.xml gnuplot.xml DESTINATION ${DATA_INSTALL_DIR}/katepart/syntax )

=== src/widgets/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR} ..)
set (cirkuitwidgets_SRCS templatechoosedialog.cpp 
    imageview.cpp
    previewwidget.cpp
    logviewwidget.cpp
    backendchoosedialog.cpp
    widgetfloater.cpp
)

kde4_add_ui_files( cirkuitwidgets_SRCS backendchooser.ui templatechooser.ui)
kde4_add_library( cirkuitwidgets STATIC ${cirkuitwidgets_SRCS} )

=== src/backends/circuitmacros/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory (templates)

set( CircuitMacrosBackend_SRCS dpiclogparser.cpp 
 circuitmacrosbackend.cpp  
 circuitmacrosdocumentsettings.cpp
 circuitmacrosgenerator.cpp
 settingswidget.cpp
)

kde4_add_kcfg_files(CircuitMacrosBackend_SRCS GENERATE_MOC settings.kcfgc)
install(FILES circuitmacrosbackend.kcfg DESTINATION ${KCFG_INSTALL_DIR})

kde4_add_ui_files(CircuitMacrosBackend_SRCS settings.ui)

kde4_add_plugin( cirkuit_circuitmacrosbackend ${CircuitMacrosBackend_SRCS} )
target_link_libraries( cirkuit_circuitmacrosbackend ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} cirkuitlibs)

install( FILES circuitmacrosbackend.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cirkuit)
install(TARGETS cirkuit_circuitmacrosbackend DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/backends/gnuplot/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory (templates)

set( GnuplotBackend_SRCS 
 gnuplotbackend.cpp  
 gnuplotdocumentsettings.cpp
 gnuplotgenerator.cpp
)

kde4_add_kcfg_files(GnuplotBackend_SRCS GENERATE_MOC settings.kcfgc)
install(FILES gnuplotbackend.kcfg DESTINATION ${KCFG_INSTALL_DIR})

kde4_add_ui_files(GnuplotBackend_SRCS settings.ui)

kde4_add_plugin( cirkuit_gnuplotbackend ${GnuplotBackend_SRCS} )
target_link_libraries( cirkuit_gnuplotbackend ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} cirkuitlibs)

install( FILES gnuplotbackend.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cirkuit)
install(TARGETS cirkuit_gnuplotbackend DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/backends/null/CMakeLists.txt ===
set( NullBackend_SRCS 
 nullbackend.cpp  
 nulldocumentsettings.cpp
 nullgenerator.cpp
)

kde4_add_plugin( cirkuit_nullbackend ${NullBackend_SRCS} )
target_link_libraries( cirkuit_nullbackend ${KDE4_KDEUI_LIBS} cirkuitlibs)

install( FILES nullbackend.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cirkuit)
install(TARGETS cirkuit_nullbackend DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
cirkuit (0.4.3-0ubuntu1) trusty; urgency=low

  * Initial release closes: LP: #824041

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 10 Feb 2014 14:16:49 +0000

=== debian/control ===
Source: cirkuit
Section: graphics
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Scarlett Clark <scarlett@scarlettgatelyclark.com>
Build-Depends: debhelper (>= 9.0.0), cmake, pkg-kde-tools,
 libpoppler-qt4-dev, kdelibs5-dev, shared-mime-info
Standards-Version: 3.9.5
Homepage: http://wwwu.uni-klu.ac.at/magostin/cirkuit.html

Package: libcirkuitlibs1-dev
Section: libdevel
Architecture: any
Depends: libcirkuitlibs1 (= ${binary:Version}), ${misc:Depends}
Description: development files for cirkuit
 Circuit Macros is a set of macros for drawing
 high-quality line diagrams to include in TeX,
 LaTeX, or similar documents.
 .
 Contains development files for frameworkintegration.
 
Package: cirkuit
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: dpic, texlive-latex-extra, texlive-latex-base,
 texlive-latex-recommended, texlive-pstricks, texlive-base-bin,
 texlive-extra-utils, preview-latex-style, m4, ghostscript,
 pdf2svg, ${shlibs:Depends}, ${misc:Depends}
Description: Application to generate publication-ready figures.
 Circuit Macros is a set of macros for drawing
 high-quality line diagrams to include in TeX,
 LaTeX, or similar documents.

Package: libcirkuitlibs1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Application to generate publication-ready figures.
 Circuit Macros is a set of macros for drawing
 high-quality line diagrams to include in TeX,
 LaTeX, or similar documents.
  
Package: cirkuit-dbg
Priority: extra
Section: debug
Architecture: any
Depends: cirkuit (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for cirkuit
 Circuit Macros is a set of macros for drawing
 high-quality line diagrams to include in TeX,
 LaTeX, or similar documents.
 .
 Contains debug symbols for frameworkintegration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbg-package=cirkuit-dbg

override_dh_auto_install:
	dh_auto_install	
	mv debian/tmp/usr/share/kde4/apps/katepart/syntax/gnuplot.xml debian/tmp/usr/share/kde4/apps/katepart/syntax/gnuplot2.xml

=== debian/watch ===
version=3

http://wwwu.uni-klu.ac.at/magostin/cirkuit.html \
 src/cirkuit-([\d\.]+)\.tar\.bz2
